{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}
Supported products
Authorizations
hapikey
string
query
required
Path Parameters
appId
integer<int32>
required
eventTemplateId
string
required
tokenName
string
required
Body
application/json
label
string
required
Used for list segmentation and reporting.
options
object[]
required
If type is enumeration, we should have a list of options to choose from.
Show child attributes
objectPropertyName
string
The name of the CRM object property. This will populate the CRM object property associated with the event. With enough of these, you can fully build CRM objects via the Timeline API.
Response
successful operation
label
string
required
Used for list segmentation and reporting.
name
string
required
The name of the token referenced in the templates. This must be unique for the specific template. It may only contain alphanumeric characters, periods, dashes, or underscores (. - _).
options
object[]
required
If type is enumeration, we should have a list of options to choose from.
Show child attributes
type
enum<string>
required
The data type of the token. You can currently choose from [string, number, date, enumeration].
Available options:
date,
enumeration,
number,
string
createdAt
string<date-time>
The date and time that the Event Template Token was created, as an ISO 8601 timestamp. Will be null if the template was created before Feb 18th, 2020.
objectPropertyName
string
The name of the CRM object property. This will populate the CRM object property associated with the event. With enough of these, you can fully build CRM objects via the Timeline API.
updatedAt
string<date-time>
The date and time that the Event Template Token was last updated, as an ISO 8601 timestamp. Will be null if the template was created before Feb 18th, 2020.
Last modified on March 30, 2026
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.